## audioecho

audioecho — Adds an echo or reverb effect to an audio stream

## Properties

guint64 | delay | Read / Write
gfloat | feedback | Read / Write
gfloat | intensity | Read / Write
guint64 | max-delay | Read / Write

## Types and Values

struct | GstAudioEcho

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstAudioFilter
                            ╰── GstAudioEcho

## Description

audioecho adds an echo or (simple) reverb effect to an audio stream. The echo delay, intensity and the percentage of feedback can be configured.

For getting an echo effect you have to set the delay to a larger value, for example 200ms and more. Everything below will result in a simple reverb effect, which results in a slightly metallic sound.

Use the max-delay property to set the maximum amount of delay that will be used. This can only be set before going to the PAUSED or PLAYING state and will be set to the current delay by default.

### Example launch line

    1
    2

    gst-launch-1.0 filesrc location="melo1.ogg" ! audioconvert ! audioecho delay=500000000 intensity=0.6 feedback=0.4 ! audioconvert ! autoaudiosink
    gst-launch-1.0 filesrc location="melo1.ogg" ! decodebin ! audioconvert ! audioecho delay=50000000 intensity=0.6 feedback=0.4 ! audioconvert ! autoaudiosink

## Synopsis

### Element Information

plugin | audiofx
author | Sebastian Dröge <sebastian.droege@collabora.co.uk>
class | Filter/Effect/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string){ F32LE, F64LE }, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ], layout=(string)interleaved

name | src
direction | source
presence | always
details | audio/x-raw, format=(string){ F32LE, F64LE }, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ], layout=(string)interleaved

## Functions

## Types and Values

### struct GstAudioEcho

    struct GstAudioEcho;

## Property Details

### The `“delay”` property

      “delay”                    guint64

Delay of the echo in nanoseconds.

Flags: Read / Write

Allowed values: >= 1

Default value: 1

### The `“feedback”` property

      “feedback”                 gfloat

Amount of feedback.

Flags: Read / Write

Allowed values: [0,1]

Default value: 0

### The `“intensity”` property

      “intensity”                gfloat

Intensity of the echo.

Flags: Read / Write

Allowed values: [0,1]

Default value: 0

### The `“max-delay”` property

      “max-delay”                guint64

Maximum delay of the echo in nanoseconds (can't be changed in PLAYING or PAUSED state).

Flags: Read / Write

Allowed values: >= 1

Default value: 1